part of 'communities_bloc.dart';

sealed class CommunitiesEvent extends Equatable {
  const CommunitiesEvent();

  @override
  List<Object?> get props => [];
}

class LoadCommunities extends CommunitiesEvent {
  const LoadCommunities(this.param);

  final LoadCommunitiesParam param;

  @override
  List<Object?> get props => [param];
}

class LoadMoreCommunities extends CommunitiesEvent {
  const LoadMoreCommunities();

  @override
  List<Object?> get props => [];
}

final class InsertCommunity extends CommunitiesEvent {
  const InsertCommunity(this.community);

  final CommunityModel community;

  @override
  List<Object?> get props => [community];
}
